<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Agent Console</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="/stylesheets/agents.css" type="text/css">

    <!-- Custom styles for this template -->
    <link href="/stylesheets/agents.css" rel="stylesheet">
</head>


<body>
    <!-- Header Start -->
    <div id="v-for-object">
    <div class="header">       
        <div class="header-wrapper">
            <div class="header-title">Agent Console</div>
            <div class="header-profile">
                <div>
                    <div >{{first_name}} {{last_name}}</div>
                    <div>{{user_role}}</div>
                </div>

                <!-- RAYAN"S CODE -->
                <div class="action">
                    <div class="profile" data-toggle="dropdown" onclick="menuToggle();">{{nameAbb}}</div>
                    <div class="menu">  
                        <ul>
                            <li @click="convoPage()">Conversations</li>
                            <li @click="agentPage()">Account Management</li>
                        </ul>
                    </div>
                </div>

                <!-- RAYAN"S CODE END -->

                <!-- ACTUAL CODE -->

                <!-- <div class="dropdown">
                    <div class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown">JA</div>
                    <ul class="dropdown-menu">
                        <li><a href="#">Edit profile</a></li>
                        <li><a href="#">Account Management</a></li>
                    </ul>
                </div> -->
            </div>
        </div>
    </div>
    <!-- Header End -->

       <!-- RAYAN"S CODE START>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>-->


       <div id="ag-modal1" class="ag-Modal1">
        <div class="modal-contentAgent">
            <div class="ag-modal-header">
                <h4>Add New Agent</h4>
            </div>
            <form action="#" name="mainform" class="ag-form" >
                <div class="ag-modal-body">

                    <div class="form">
                        <label>First Name</label><br>
                        <input type="text" class="form-data" id="fname" v-model="form_first_name">
                        <span class="spans" id="spanfname"></span>>
                    </div>
                    
                    <div class="form">
                        <label>Last Name</label><br>
                        <input type="text" class="form-data" id="lname" v-model="form_last_name">
                        <span id="spanlname" class="spans"></span>
                    </div>

                    <div class="form">
                        <label>Email </label><br>
                        <input type="text" class="form-data" id="email" v-model="email">
                        <span id="spanemail" class="spans"></span>
                    </div>

                    <div class="form">
                        <label>Admin</label><br>
                        <input type="radio" id="admin1" name="admin" value="true" v-model="admin"><label>Yes</label><br>
                        <input type="radio" id="admin2" name="admin" value="false" v-model="nonAdmin"><label>No</label><br>
                        <span id="spanadmin" class="spans"></span>
                    </div>


                    <div class="form">
                        <label>Time Zone</label><br>
                        <select class="form-data" id="tzone" v-model="timezone">
                            <option>PST</option>
                            <option>IST</option>
                            <option>AEST</option>
                        </select>
                    </div>
                    
                   <div class="form">
                        <label>Start Time</label><br>
                        <input type="time" class="form-data" id="whours" v-model="startTime">
                    </div>
                    <div class="form">
                        <label>End Time</label><br>
                        <input type="time" class="form-data" id="whours" v-model="endTime">
                    </div>

                    <div class="form">
                        <label>Roles</label><br>
                        <select class="form-data" id="roles" v-model="checkedCategories">
                            <option  v-for="items in roleList" :value="items._id">
                                {{items.roles}}
                            </option>
                        </select>
                    </div>


                    <div class="ag-footer">
                        <input type="button" value="Submit" class="sub-btn" @click="submitform()">
                        <input type="button" value="Close" class="sub-btn" @click="close()">

                    </div>
                </div>
            </form>
            
        </div>
    </div>


    <!-- RAYAN"S CODE END -->


    <!-- Container -->
    <div class="chat-container ag-wrapper chat-fadeIn">
        <div class="ag-top-section">
            <div class="ag-top-left">
                <div>Agent Management</div>
                <div>
                    <input type="text" id="ag-search" placeholder="Search" />
                    <i class="fa fa-search"></i>
                </div>
            </div>
            <div class="ag-top-right">
                <button onclick ="agModal()">Add Agent</button>
                <!-- <button onclick ="agModal()">Add Agent</button> -->
                <button>Save</button>
                <button>Close</button>
            </div>
        </div>
        <div class="ag-table">
            <table id="example" class="table" style="width:100%">
                <thead>
                    <tr>
                        <th>AGENTS</th>
                        <th>STATUS</th>
                        <th>DESIGNATION</th>
                        <th>WORK HOURS</th>
                        <th>TIMEZONE</th>
                        <!-- <th>ACTIONS</th> -->
                    </tr>
                </thead>
                <tbody >
                    <tr v-for="agent in agentslist">
                        <td>
                            <div>
                                <div><img width="38" src="/assets/images/user-1.png" /></div>
                                <div>{{agent.user.firstName}} {{agent.user.lastName}}</div>
                            </div>
                        </td>

                        <td>
                            <div><img src="/assets/images/not-active.png" /></div>
                        </td>

                        <td>{{agent.roles[0].roles}}</td>

                        <td v-if="agent.user.workHours">{{agent.user.workHours}}</td>
                        <td v-if="!agent.user.workHours">NA</td>


                        <td v-if="agent.user.timezone">{{agent.user.timezone}}</td>
                        <td v-if="!agent.user.timezone">NA</td>
                            
                        <!-- <td>
                            <div class="dropdown ag-action">
                                <img class="dropdown-toggle dropdown-menu-left" data-toggle="dropdown"
                                    src="/assets/images/more.png" />
                                <ul class="dropdown-menu">
                                    <li class="ag-edit"><a href="#">Edit</a></li>
                                    <li class="ag-delete"><a href="#">Delete</a></li>
                                </ul>
                            </div>
                        </td> -->
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

    <!-- End Container -->
</body>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>

// RAYAN"S CODE
function menuToggle(){
        const toggleMenu = document.querySelector('.menu');
        toggleMenu.classList.toggle('active');
    }

    function agModal(){
                document.getElementById("ag-modal1").style.display="block"
            }
    function close(){
            document.getElementById("ag-modal1").style.display="none"
        }

        function check(){
            var fname =document.getElementById("fname")
            var lname =document.getElementById("lname")
            var email =document.getElementById("email")

            let fnamevalue = fname.value.length
            spanfname = document.getElementById('spanfname');
            if(fnamevalue<4)
            {
               spanfname.style.display="block";
               
            }
                
        }

    // RAYAN"S CODE END

    new Vue({
        el: '#v-for-object',
        data: {
            email: '',
            agents: [{
                firstName: 'John',
                lastName: 'Doe',
                workHours: 'none',
                timezone: 'IND',
                roles: 'HR'
            }],
            agentslist: [],
            account_id : localStorage.getItem('accountId'),
             user_role: localStorage.getItem('roles'),
             first_name:localStorage.getItem('firstName'),
             last_name:localStorage.getItem('lastName'),
             nameAbb:null,
             form_first_name:null,
             form_last_name:null,
             email:null,
             admin:null,
             nonAdmin:null,
             timezone:null,
             checkedCategories:null,
             startTime:null,
             endTime:null,
             roleList:[]



        },
        methods: {
            listOfAgents: function () {
                let accountId = this.account_id;
                let self = this;
                fetch(`/api/account/${accountId}/users`, {
                    method: 'GET',
                    headers: {
                        'Content-Type': 'application/json'
                    }
                }).then((res) => {
                    return res.json();
                }).then(data => {
                    console.log("List of Agents", data);
                    self.agentslist = data;
                });
                
            },
        getAllRoles() {
                     let accountId = this.account_id;
                    let self = this;
                    fetch(`/api/accountrole/account/${accountId}`, {
                        method: 'GET',
                        headers: {
                            'Content-Type': 'application/json'
                        }
                    }).then((res) => {
                        return res.json();
                    }).then(data => {
                        console.log("Get All Roles:",data);
                        self.roleList = data;
                        console.log("Check ROles Arr:",this.roleList);
                    });
                },
                submitform : function () {
                    let self = this;
                    let adminBtn= document.getElementsByName('admin');
                    let adminValue;
                    for(let i=0;i<adminBtn.length;i++){
                        if(adminBtn[i].checked){
                            adminValue = adminBtn[i].value;
                            console.log("THE ADMINVALUE IS",adminValue);
                        }
                    }
                    // console.log("THE SELECT ELEMENT VALUE",document.getElementById('roles').value);
                    // var admin = document.getElementById('admin-check1')
                    console.log("form submit");
                    let roleId = document.getElementById('roles').value;
                    console.log("THE ROLE ID IS",roleId);
                   

                   
                    let accountId = this.account_id;
                    console.log(`${this.form_first_name}${this.form_last_name}${this.email}${this.checkedCategories}${this.timezone}${this.startTime}${this.endTime}`);
                    let adminVal ='';
                    
                    fetch(`/api/user/${accountId}/add`, {
                        method: 'POST',
                        body: JSON.stringify({
                            "firstName": this.form_first_name,
                            "lastName": this.form_last_name,
                            "email": this.email,
                            "admin": adminValue,
                            "timezone": this.timezone,
                            "workHours": this.startTime+" to "+this.endTime,
                            "roles": roleId
                        }),
                        headers: {
                            'Content-Type': 'application/json',
                            'Access-Token': localStorage.getItem('token')
                        }
                        
                    }).then((res) => {
                            console.log('addUser',res);
                            self.add = res.status;
                        }).then((data)=>{
                            console.log('add user data',data)
                            self.agentslist =[];
                            this.listOfAgents(),
                            close();
                        });
                },  
                convoPage:function(){
            
                        window.location = "/users/conversations";
                },
        agentPage:function(){
                        window.location = "/users/agents";
        },
        close:function(){
            
            document.getElementById("ag-modal1").style.display="none"

        }
            },    
        
        beforeMount() {
            this.listOfAgents(),
            this.getAllRoles(),
            this.nameAbb = this.first_name.slice(0,1)+this.last_name.slice(0,1);
           // console.log('checkName', this.first_name);
            
        }
    });

</script>

</html>
